# IRsUIControlOwner Interface Reference

Inherits IUnknown.

List of all members.

## Public Member Functions
HRESULT | UIControlMouseMove ([in] IRsUIControlBase *pUIControl,[in] int px,[in] int py)
HRESULT | UIControlLBDown ([in] IRsUIControlBase *pUIControl,[in] int px,[in] int py)
HRESULT | UIControlLBUp ([in] IRsUIControlBase *pUIControl,[in] int px,[in] int py)
HRESULT | UIControlRBDown ([in] IRsUIControlBase *pUIControl,[in] int px,[in] int py)
HRESULT | UIControlRBUp ([in] IRsUIControlBase *pUIControl,[in] int px,[in] int py)
HRESULT | UIControlValueChanged ([in] IRsUIControlBase *pUIControl,[in] int action)
HRESULT | FocusNextControl ([in]IRsUIControlBase *pPrevControl)
HRESULT | FocusPrevControl ([in]IRsUIControlBase *pNextControl)
HRESULT | GetControlledNodeName ([out, retval] BSTR *pbszNodeName)

## Detailed Description

The IRsUIControlOwner interface provides methods for UI control owner object.

## Member Function Documentation

HRESULT IRsUIControlOwner::UIControlMouseMove | ( | [in] IRsUIControlBase * | pUIControl,
|  | [in] int | px,
|  | [in] int | py |
| ) |  |  |

Proceed mouse move for UI control.

Parameters:

  | pUIControl | [in] Pointer to UI control.
  | px | [in] New x-coordinate.
  | py | [in] New y-coordinate.

HRESULT IRsUIControlOwner::UIControlLBDown | ( | [in] IRsUIControlBase * | pUIControl,
|  | [in] int | px,
|  | [in] int | py |
| ) |  |  |

Proceed left button down event for UI control.

Parameters:

  | pUIControl | [in] Pointer to UI control.
  | px | [in] New x-coordinate.
  | py | [in] New y-coordinate.

HRESULT IRsUIControlOwner::UIControlLBUp | ( | [in] IRsUIControlBase * | pUIControl,
|  | [in] int | px,
|  | [in] int | py |
| ) |  |  |

Proceed left button up event for UI control.

Parameters:

  | pUIControl | [in] Pointer to UI control.
  | px | [in] New x-coordinate.
  | py | [in] New y-coordinate.

HRESULT IRsUIControlOwner::UIControlRBDown | ( | [in] IRsUIControlBase * | pUIControl,
|  | [in] int | px,
|  | [in] int | py |
| ) |  |  |

Proceed right button down event for UI control.

Parameters:

  | pUIControl | [in] Pointer to UI control.
  | px | [in] New x-coordinate.
  | py | [in] New y-coordinate.

HRESULT IRsUIControlOwner::UIControlRBUp | ( | [in] IRsUIControlBase * | pUIControl,
|  | [in] int | px,
|  | [in] int | py |
| ) |  |  |

Proceed right button up event for UI control.

Parameters:

  | pUIControl | [in] Pointer to UI control.
  | px | [in] New x-coordinate.
  | py | [in] New y-coordinate.

HRESULT IRsUIControlOwner::UIControlValueChanged | ( | [in] IRsUIControlBase * | pUIControl,
|  | [in] int | action |
| ) |  |  |

Notify that UI control value has changed.

Parameters:

  | pUIControl | [in] Pointer to UI control.
  | action | [in] type of action that should be served: PANEL_ACTION_DEFAULT - call command to set new connector value. PANEL_ACTION_FOCUS_PREV - as PANEL_ACTION_DEFAULT, move focus to previous control. PANEL_ACTION_FOCUS_NEXT - as PANEL_ACTION_DEFAULT, move focus to next control. PANEL_ACTION_NO_UNDO - as PANEL_ACTION_DEFAULT, call command without undo. PANEL_ACTION_OWN_UNDO - as PANEL_ACTION_DEFAULT, set own old data value for command.

HRESULT IRsUIControlOwner::FocusNextControl | ( | [in] IRsUIControlBase * | pPrevControl | ) |

Set focus on next control.

Parameters:

  | pPrevControl | [in] Pointer to UI control object, whose next control will be focused.

HRESULT IRsUIControlOwner::FocusPrevControl | ( | [in] IRsUIControlBase * | pNextControl | ) |

Set focus on previous control.

Parameters:

  | pNextControl | [in] Pointer to UI control object, whose previous control will be focused.

HRESULT IRsUIControlOwner::GetControlledNodeName | ( | [out, retval] BSTR * | pbszNodeName | ) |

Returns node for which the UI control owner holds the controls.

Returns:
  pbszNodeName [out, retval] Returned node.